## pbuilder 0.196ubuntu1

=== Makefile ===
INSTALL_DIRECTORY=install -d -m 0755 
INSTALL_FILE=install -m 0644
INSTALL_EXECUTABLE=install -m 0755


#
# To add new script, add it to here, so that it will be tested. And then add a rule to install: target.
#
SHELLCODES=pbuilder-buildpackage \
	pbuilder-buildpackage-funcs \
	pbuilder-checkparams \
	pbuilder-uml-checkparams \
	pbuilder-createbuildenv \
	pbuilder-loadconfig \
	pbuilder-modules \
	pbuilder-runhooks \
	pbuilder-satisfydepends-classic \
	pbuilder-satisfydepends-gdebi \
	pbuilder-satisfydepends-funcs \
	pbuilder-satisfydepends-checkparams \
	pbuilder-satisfydepends-aptitude \
	pbuilder-satisfydepends-experimental \
	pbuilder-updatebuildenv \
	pbuilder-user-mode-linux \
	pbuilder \
	pdebuild \
	pdebuild-checkparams \
	pdebuild-user-mode-linux \
	pdebuild-internal

all:

check:
	# syntax check
	set -e; \
	for A in $(SHELLCODES); do \
		bash -n $$A; \
		echo $$A; \
	done
	# testsuite
	set -e ; \
	for A in test_*; do \
		bash $$A; \
	done

full-check: 
	set -e; \
	cd testsuite; \
	./run-test.sh 

clean:
	rm -f *.bak *~ TAGS
	rm -f testsuite/testimage
	rm -rf testsuite/testbuild testsuite/testbuild2

TAGS:
	etags pbuilder-* pbuilder

install:
	$(INSTALL_DIRECTORY) $(DESTDIR)/etc
	$(INSTALL_DIRECTORY) $(DESTDIR)/etc/pbuilder
	$(INSTALL_DIRECTORY) $(DESTDIR)/etc/bash_completion.d
	$(INSTALL_DIRECTORY) $(DESTDIR)/usr/sbin
	$(INSTALL_DIRECTORY) $(DESTDIR)/usr/bin
	$(INSTALL_DIRECTORY) $(DESTDIR)/usr/lib/pbuilder
	$(INSTALL_DIRECTORY) $(DESTDIR)/usr/share/pbuilder
	$(INSTALL_DIRECTORY) $(DESTDIR)/usr/share/doc/pbuilder/examples
	$(INSTALL_DIRECTORY) $(DESTDIR)/usr/share/doc/pbuilder/examples/rebuild
	$(INSTALL_DIRECTORY) $(DESTDIR)/usr/share/doc/pbuilder/examples/pbuilder-test
	$(INSTALL_DIRECTORY) $(DESTDIR)/usr/share/doc/pbuilder/examples/lvmpbuilder
	$(INSTALL_DIRECTORY) $(DESTDIR)/usr/share/doc/pbuilder/examples/lvmpbuilder/lib
	$(INSTALL_DIRECTORY) $(DESTDIR)/var/cache/pbuilder/pbuilder-mnt
	$(INSTALL_DIRECTORY) $(DESTDIR)/var/cache/pbuilder/pbuilder-umlresult
	$(INSTALL_EXECUTABLE) pbuilder-buildpackage $(DESTDIR)/usr/lib/pbuilder/
	$(INSTALL_EXECUTABLE) pbuilder-buildpackage-funcs $(DESTDIR)/usr/lib/pbuilder/
	$(INSTALL_EXECUTABLE) pbuilder-createbuildenv $(DESTDIR)/usr/lib/pbuilder/
	$(INSTALL_EXECUTABLE) pbuilder-updatebuildenv $(DESTDIR)/usr/lib/pbuilder/
	$(INSTALL_EXECUTABLE) pbuilder-loadconfig $(DESTDIR)/usr/lib/pbuilder/
	$(INSTALL_EXECUTABLE) pbuilder-runhooks $(DESTDIR)/usr/lib/pbuilder/
	$(INSTALL_EXECUTABLE) pbuilder-checkparams $(DESTDIR)/usr/lib/pbuilder/
	$(INSTALL_EXECUTABLE) pdebuild-checkparams $(DESTDIR)/usr/lib/pbuilder/
	$(INSTALL_EXECUTABLE) pbuilder-uml-checkparams $(DESTDIR)/usr/lib/pbuilder/
	$(INSTALL_EXECUTABLE) pdebuild-uml-checkparams $(DESTDIR)/usr/lib/pbuilder/
	$(INSTALL_EXECUTABLE) pbuilder-modules $(DESTDIR)/usr/lib/pbuilder/
	$(INSTALL_EXECUTABLE) pbuilder $(DESTDIR)/usr/sbin
	$(INSTALL_EXECUTABLE) pdebuild $(DESTDIR)/usr/bin
	$(INSTALL_EXECUTABLE) pbuilder-user-mode-linux $(DESTDIR)/usr/bin
	$(INSTALL_EXECUTABLE) pdebuild-user-mode-linux $(DESTDIR)/usr/bin
	$(INSTALL_EXECUTABLE) debuild-pbuilder $(DESTDIR)/usr/bin

	#install aptitude as the default satisfydepends 
	$(INSTALL_EXECUTABLE) pbuilder-satisfydepends-aptitude $(DESTDIR)/usr/lib/pbuilder/pbuilder-satisfydepends
	$(INSTALL_EXECUTABLE) pbuilder-satisfydepends-classic $(DESTDIR)/usr/lib/pbuilder/
	$(INSTALL_EXECUTABLE) pbuilder-satisfydepends-gdebi $(DESTDIR)/usr/lib/pbuilder/
	$(INSTALL_EXECUTABLE) pbuilder-satisfydepends-aptitude $(DESTDIR)/usr/lib/pbuilder/
	$(INSTALL_EXECUTABLE) pbuilder-satisfydepends-experimental $(DESTDIR)/usr/lib/pbuilder/
	$(INSTALL_EXECUTABLE) pbuilder-satisfydepends-checkparams $(DESTDIR)/usr/lib/pbuilder/
	$(INSTALL_EXECUTABLE) pbuilder-satisfydepends-funcs $(DESTDIR)/usr/lib/pbuilder/
	$(INSTALL_EXECUTABLE) pdebuild-internal $(DESTDIR)/usr/lib/pbuilder/
	$(INSTALL_FILE) pbuilderrc $(DESTDIR)/usr/share/doc/pbuilder/examples
	$(INSTALL_FILE) bash_completion.pbuilder $(DESTDIR)/etc/bash_completion.d/pbuilder
	$(INSTALL_FILE) pbuilderrc $(DESTDIR)/usr/share/pbuilder
	$(INSTALL_FILE) pbuilder-uml.conf $(DESTDIR)/etc/pbuilder
	$(INSTALL_FILE) pbuilder-uml.conf $(DESTDIR)/usr/share/pbuilder
	$(INSTALL_FILE) examples/pbuilderrc.ccache $(DESTDIR)/usr/share/doc/pbuilder/examples
	$(INSTALL_EXECUTABLE) examples/B90lintian $(DESTDIR)/usr/share/doc/pbuilder/examples
	$(INSTALL_EXECUTABLE) examples/B91dpkg-i $(DESTDIR)/usr/share/doc/pbuilder/examples
	$(INSTALL_EXECUTABLE) examples/B92test-pkg $(DESTDIR)/usr/share/doc/pbuilder/examples
	$(INSTALL_EXECUTABLE) examples/C10shell $(DESTDIR)/usr/share/doc/pbuilder/examples
	$(INSTALL_EXECUTABLE) examples/C11screen $(DESTDIR)/usr/share/doc/pbuilder/examples
	$(INSTALL_EXECUTABLE) examples/D10tmp $(DESTDIR)/usr/share/doc/pbuilder/examples
	$(INSTALL_EXECUTABLE) examples/D20addnonfree $(DESTDIR)/usr/share/doc/pbuilder/examples
	$(INSTALL_EXECUTABLE) examples/D80no-man-db-rebuild $(DESTDIR)/usr/share/doc/pbuilder/examples
	$(INSTALL_EXECUTABLE) examples/D90chrootmemo $(DESTDIR)/usr/share/doc/pbuilder/examples
	$(INSTALL_EXECUTABLE) examples/F90chrootmemo $(DESTDIR)/usr/share/doc/pbuilder/examples
	$(INSTALL_EXECUTABLE) examples/B90list-missing $(DESTDIR)/usr/share/doc/pbuilder/examples
	$(INSTALL_EXECUTABLE) examples/B91debc $(DESTDIR)/usr/share/doc/pbuilder/examples
	$(INSTALL_EXECUTABLE) examples/execute_installtest.sh $(DESTDIR)/usr/share/doc/pbuilder/examples
	$(INSTALL_EXECUTABLE) examples/execute_paramtest.sh $(DESTDIR)/usr/share/doc/pbuilder/examples
	$(INSTALL_EXECUTABLE) examples/pbuilder-distribution.sh $(DESTDIR)/usr/share/doc/pbuilder/examples
	$(INSTALL_EXECUTABLE) examples/rebuild/buildall $(DESTDIR)/usr/share/doc/pbuilder/examples/rebuild
	$(INSTALL_EXECUTABLE) examples/rebuild/getlist $(DESTDIR)/usr/share/doc/pbuilder/examples/rebuild
	$(INSTALL_FILE) examples/rebuild/README $(DESTDIR)/usr/share/doc/pbuilder/examples/rebuild
	$(INSTALL_FILE) examples/pbuilder-test/README $(DESTDIR)/usr/share/doc/pbuilder/examples/pbuilder-test
	$(INSTALL_EXECUTABLE) examples/pbuilder-test/000_prepinstall $(DESTDIR)/usr/share/doc/pbuilder/examples/pbuilder-test
	$(INSTALL_EXECUTABLE) examples/pbuilder-test/001_apprun $(DESTDIR)/usr/share/doc/pbuilder/examples/pbuilder-test
	$(INSTALL_EXECUTABLE) examples/pbuilder-test/002_libfile $(DESTDIR)/usr/share/doc/pbuilder/examples/pbuilder-test
	$(INSTALL_FILE) examples/pbuilder-test/002_sample.c $(DESTDIR)/usr/share/doc/pbuilder/examples/pbuilder-test
	$(INSTALL_EXECUTABLE) examples/pbuilder-test/003_makecheck $(DESTDIR)/usr/share/doc/pbuilder/examples/pbuilder-test
	$(INSTALL_EXECUTABLE) examples/pbuilder-test/004_ldd $(DESTDIR)/usr/share/doc/pbuilder/examples/pbuilder-test

	$(INSTALL_FILE) examples/lvmpbuilder/README $(DESTDIR)/usr/share/doc/pbuilder/examples/lvmpbuilder
	$(INSTALL_FILE) examples/lvmpbuilder/STRATEGY $(DESTDIR)/usr/share/doc/pbuilder/examples/lvmpbuilder
	$(INSTALL_EXECUTABLE) examples/lvmpbuilder/lvmbuilder $(DESTDIR)/usr/share/doc/pbuilder/examples/lvmpbuilder
	$(INSTALL_FILE) examples/lvmpbuilder/lib/lvmbuilder-checkparams $(DESTDIR)/usr/share/doc/pbuilder/examples/lvmpbuilder/lib
	$(INSTALL_FILE) examples/lvmpbuilder/lib/lvmbuilder-modules $(DESTDIR)/usr/share/doc/pbuilder/examples/lvmpbuilder/lib
	$(INSTALL_FILE) examples/lvmpbuilder/lib/lvmbuilder-unimplemented $(DESTDIR)/usr/share/doc/pbuilder/examples/lvmpbuilder/lib

	# install workaround for initscripts -- 2005-12-21
	$(INSTALL_DIRECTORY) $(DESTDIR)/usr/share/doc/pbuilder/examples/workaround
	$(INSTALL_EXECUTABLE) examples/E50-initscripts-2.86.ds1-7.workaround.sh $(DESTDIR)/usr/share/doc/pbuilder/examples/workaround
	$(INSTALL_EXECUTABLE) examples/G50-initscripts-2.86.ds1-11-cdebootstrap0.3.9.sh $(DESTDIR)/usr/share/doc/pbuilder/examples/workaround

	cd pbuildd; make install DESTDIR=$(DESTDIR)
	cd Documentation; make install DESTDIR=$(DESTDIR)

=== debian/changelog ===
pbuilder (0.196ubuntu1) lucid; urgency=low

  * Merge with Debian unstable (lp: #502135). Remaining changes:
    - pbuilderrc, debian/pbuilder.config, debian/pbuilder.templates: Set
      default archive mirror to "archive.ubuntu.com".
    - pbuilderrc: Set default distribution to "lucid".

 -- Michael Bienia <geser@ubuntu.com>  Sat, 02 Jan 2010 14:30:46 +0100

pbuilder (0.196) unstable; urgency=low

  [ Loïc Minier ]
  * Add comments to check target.
  * Use GNU-style vars for system directories, allow to set them from the
    env, and let them be prefixed with a PBUILDER_ROOT directory to allow
    relocation.
  * Add helpers to relocate pbuilder in testsuite.
  * Use a relocated pbuilder setup to run test_debuildopts; closes: #562681.

  [ Junichi Uekawa ]
  * Add Loic to uploaders.

  [ Loïc Minier ]
  * pbuilder: add support for setting the architecture on the command-line
    and in pbuilderrc.
  * pdebuild: add support for setting the architecture on the command-line
    and in pbuilderrc; closes: #516625.
  * Set testsuite mirror depending on FQDN.
  * Always prepend --include=apt to debootstrap args; this is needed when
    using --variant=buildd which doesn't include apt since pbuilder calls
    apt-get in the chroot.  Note that this can still be overrident by the
    end-user by passing another --include= flag via DEBOOTSTRAPOPTS since
    these flags aren't cumulative in debootstrap.
  * Update testsuite logs; note that update-squeeze-sid-experimental fails
    due to #563049.

 -- Loïc Minier <lool@dooz.org>  Fri, 01 Jan 2010 18:52:04 +0100

pbuilder (0.195) unstable; urgency=low

  [ Junichi Uekawa ]
  * fix pdebuild.1 documentation about options which was confusing
    (closes: #527878)
  * Warn when there is non-existing hookdir. (closes: #525420)
  * pdebuild-internal make HOME set to non-relative path. (closes:
    #492898)
  * Make error message visible when copying out to buildresult (closes:
    #505695)
  * explain pbuilder git commit message style in documentation.
  * install D80no-man-db-rebuild to example directory.
  * pbuilderrc: --variant=buildd is temporarily broken, disable.

  [ Loïc Minier ]
  * Change default root command to sudo -E; (closes: #361362)
  * Do not mention codename of testing where possible
  * Use debootstrap by default instead of cdebootstrap
  * Factor "exec >" + "exec 2>&1" together
  * Add support for building packages twice; (closes: #493538)
  * Update header of /usr/share/pbuilder/pbuilderrc
  * Copy .dsc in chroot before calling gdebi; (closes: #472407)
  * Make --debbuildopts additive
  * Log dpkg-buildpackage command lines
  * Require gdebi/gdebi-core on host to resolve bdeps

  [ gregor herrmann ]
  * Add a hook script example to disable man-db regeneration inside
    chroot (closes: #561539)

 -- Junichi Uekawa <dancer@debian.org>  Sun, 27 Dec 2009 05:39:15 +0900

pbuilder (0.194) unstable; urgency=low

  * Gracefully handle non-existing bind-mount in --bindmount option
    (closes: #556164)

 -- Junichi Uekawa <dancer@debian.org>  Wed, 02 Dec 2009 23:02:42 +0900

pbuilder (0.193) unstable; urgency=low

  [ Matt Kraai ]
  * Make debian/rules not ignore errors running "make clean"
  * Add ${misc:Depends} to pbuilder-uml's Depends line
  * Update the Standards-Version to 3.8.3
  * complete filenames correctly if options are used. (closes: #555214)
  * allow --autocleanaptcache to be specified in pbuilderrc.
  * Update French documentation translation, thanks to Vincent Bernat.
    (closes: #480216)

  [ Junichi Uekawa ]
  * make --hookdir work on pdebuild-internal (closes:#526471)

 -- Junichi Uekawa <dancer@debian.org>  Sun, 29 Nov 2009 18:25:40 +0900

pbuilder (0.192ubuntu1) lucid; urgency=low

  * Merge from debian testing, remaining changes:
    - debian/control, pbuilderrc: Prefer debootstrap over cdebootstrap.
    - pbuilderrc, debian/pbuilder.config, debian/pbuilder.templates: Set
      default archive mirror to "archive.ubuntu.com".
    - pbuilderrc:
      + Set default distribution to "lucid".
      + Set Ubuntu components, but comment them out, so that it still defaults
        to "main".
      + Use "sudo -E" for PBUILDERROOTCMD. (LP #175776, Debian #361362)
    - pbuilder-satisfydepends-gdebi: gdebi needs to be called from outside the
      chroot as the .dsc file isn't copied yet into the chroot.
      (Debian #472407, LP #242449).
    - pbuilder-buildpackage, pbuilder.8, pbuilder-checkparams,
      pbuilder-modules: Add support for building twice in a row.
      (Debian #493538)
    - pbuilder-satisfydepends-checkparams:
      Re-add the CHROOT variable which got lost during the merge.
      It's needed for pbuilder-satisfydepends-gdebi to work (lp: #384284).

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 25 Nov 2009 11:37:25 +0100

pbuilder (0.192) unstable; urgency=low

  * quote-escape debemail so that email with space can be handled
    properly.

 -- Junichi Uekawa <dancer@debian.org>  Mon, 02 Nov 2009 00:47:57 +0900

pbuilder (0.191) unstable; urgency=low

  [ Loïc Minier ]
  * pbuilder-buildpackage: pass -e to dpkg-bp, not -m (#546531)
  * Misc enhancements to sample lintian hook

 -- Junichi Uekawa <dancer@debian.org>  Sun, 01 Nov 2009 23:36:13 +0900

pbuilder (0.190) unstable; urgency=low

  * install aptitude via EXTRAPACKAGES, and not hard-code. (closes:
    #539578)
  * pass apt-get '-q' option to remove the progress.

 -- Junichi Uekawa <dancer@debian.org>  Tue, 25 Aug 2009 22:24:03 +0900

=== debian/control ===
Source: pbuilder
Section: devel
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>
Uploaders: Junichi Uekawa <dancer@debian.org>,
           Loïc Minier <lool@dooz.org>,
           Matt Kraai <kraai@debian.org>
Build-Depends: debhelper (>= 7),
               docbook-xsl,
               ldp-docbook-xsl (>= 0.0.20040321-0.1),
               xsltproc,
               dpkg-dev (>= 1.13.19),
               dblatex,
               debconf|debconf-2.0,
               po-debconf,
               po4a
Standards-Version: 3.8.3
Vcs-Git: git://git.debian.org/git/pbuilder/pbuilder.git
Vcs-Browser: http://git.debian.org/?p=pbuilder/pbuilder.git

Package: pbuilder
Architecture: all
Depends: debootstrap | cdebootstrap,
         wget,
         debianutils (>= 1.13.1),
         coreutils (>= 4.5.8-1),
         ${misc:Depends}
Recommends: fakeroot,
            sudo,
            devscripts
Suggests: pbuilder-uml,
          gdebi-core,
          cowdancer
Description: personal package builder for Debian packages
 pbuilder constructs a chroot system, and builds a package inside the
 chroot. 
 It is an ideal system to use to check 
 that a package has correct build-dependencies.
 It uses apt extensively, and a local mirror, or a fast connection
 to a Debian mirror is ideal, but not necessary.
 .
 "pbuilder create" uses debootstrap to create a chroot image. 
 .
 "pbuilder update" updates the image to the current state of
 testing/unstable/whatever
 .
 "pbuilder build" takes a *.dsc file and builds a binary in the chroot
 image.
 .
 pdebuild is a wrapper for Debian Developers, to allow running
 pbuilder just like "debuild", as a normal user.

Package: pbuilder-uml
Architecture: i386 amd64
Depends: rootstrap (>= 0.3.9-1),
         user-mode-linux,
         pbuilder (= ${source:Version}),
         ${misc:Depends}
Description: user-mode-linux version of pbuilder
 pbuilder-uml uses a User-mode-linux system, and builds Debian packages
 inside the UML image. It is an ideal system to use to check 
 that a package has correct build-dependencies.
 It uses apt extensively, and a local mirror, or a fast connection
 to a Debian mirror is ideal, but not necessary.
 .
 Requires user-mode-linux to function correctly
 .
 "pbuilder-user-mode-linux create" uses rootstrap to create UML image
 .
 "pbuilder-user-mode-linux update" updates the image to the current state of
 testing/unstable/whatever
 .
 "pbuilder-user-mode-linux build" takes a *.dsc file and builds a binary
 in the UML

## pbuilder 0.198ubuntu2

=== Documentation/Makefile ===
# makefile for documentation for pbuilder.

#required packages:
# docbook-xsl
# ldp-docbook-xsl
# xsltproc
# po4a
# dblatex

# the main XML file which is source to all documents
MASTERXML=pbuilder-doc.xml
HTMLDOCS= pbuilder-doc.html pbuilder-doc.ja.html pbuilder-doc.fr.html

all: pbuilder-doc.html pbuilder-doc.ja.html pbuilder-doc.fr.html

%.html: %.xml pbuilder-doc.xsl
	xsltproc pbuilder-doc.xsl $< > $@.tmp
	mv $@.tmp $@

pbuilder-doc.%.xml: pbuilder-doc.%.po
	po4a-translate -f docbook -m $(MASTERXML) -p $< -l $@ -k 1

pbuilder-doc.%.po: $(MASTERXML)
	po4a-updatepo -f docbook -m $< -p $@ 

%.pdf: %.xml
	# requires dblatex package.
	dblatex $<

install: $(HTMLDOCS) pbuilder-doc.pdf
	install -d -m 755 -o root -g root $(DESTDIR)/usr/share/doc/pbuilder/
	install -m 644 -o root -g root $(HTMLDOCS) $(DESTDIR)/usr/share/doc/pbuilder/
	install -m 644 -o root -g root pbuilder-doc.pdf $(DESTDIR)/usr/share/doc/pbuilder/

preview: pbuilder-doc.html
	mozilla-firefox -remote "openfile($(PWD)/$<)"

release: pbuilder-doc.html pbuilder-doc.xml pbuilder-doc.css pbuilder-doc.xsl pbuilder-doc.pdf
	scp $^ cvs.alioth.debian.org:/org/alioth.debian.org/chroot/home/groups/pbuilder/htdocs/ 
	$(MAKE) release-netfort

# for my homepage-publishing.
release-netfort: pbuilder-doc.html pbuilder-doc.xml pbuilder-doc.css pbuilder-doc.xsl pbuilder-doc.pdf
	cp $^ ~/public_html/netfort/software/pbuilder-doc/

clean: 
	rm -f pbuilder-doc.pdf pbuilder-doc.glo pbuilder-doc.idx pbuilder-doc.log pbuilder-doc.out \
		pbuilder-doc.aux pbuilder-doc.html.tmp

.PHONY: preview release-netfort release clean

=== debian/changelog ===
pbuilder (0.198ubuntu2) maverick; urgency=low

  * pbuilderrc: Use /usr/share/keyrings/ubuntu-archive-keyring.gpg by default
    instead of debian-archive-keyring.gpg; this should really be set on a
    per-distro way since it breaks creation of Debian chroots from Ubuntu and
    vice-versa; LP: #599394.

 -- Loïc Minier <loic.minier@ubuntu.com>  Mon, 28 Jun 2010 21:56:54 +0200

pbuilder (0.198ubuntu1) maverick; urgency=low

  * Merge from debian unstable; LP: #597980.  Remaining changes:
    - pbuilderrc, debian/pbuilder.config, debian/pbuilder.templates: Set
      default archive mirror to "archive.ubuntu.com/ubuntu".
    - pbuilderrc: Set default distribution to "maverick".

 -- Bhavani Shankar <bhavi@ubuntu.com>  Fri, 25 Jun 2010 13:06:57 +0530

pbuilder (0.198) unstable; urgency=low

  * add --keyring option as default parameter to DEBOOTSTRAPOPTS
    (closes: 579028)

 -- Junichi Uekawa <dancer@debian.org>  Thu, 24 Jun 2010 21:27:59 +0900

pbuilder (0.197) unstable; urgency=low

  [ Loïc Minier ]
  * pbuilder-createbuildenv, -updatebuildenv: Remove apt from $CHROOTEXEC
    apt-get install call and add aptitude if pbuilder-satisfydepends uses it;
    remove aptitude otherwise; closes: 539578.  Fixes support for
    --variant=buildd.
  * Make /usr/lib/pbuilder/pbuilder-satisfydepends a symlink to pbuilder-
    satisfydepends-aptitude instead of a copy; closes: #448098.
  * pbuilder-satisfydepends-aptitude: Fix typo in package description.
  * Add builtin support for using ccache in pbuilder and enable it by default.
    Ship a new /var/cache/pbuilder/ccache dir and bind-mount and chown it to
    BUILDUSERID at build time.  Install/remove ccache automatically on
    create/update if CCACHEDIR is set/unset.  Update docs and remove old
    ccache config example.  Add a NEWS entry featuring the change.  Stop
    intalling ccache sample config
  * debuild-pbuilder.1: update sample output of debuild-pbuilder to match
    current code; thanks Osamu Aoki; closes: 563209.
  * Don't quote PBUILDERROOTCMD as it's typically a command with arguments
    such as "su -p" or "sudo -E"; thanks Osamu Aoki; see #563209.
  * test_pbuilder-satisfydepends-*: add many tests.
  * pbuilder-satisfydepends-*: Large refactoring and cleanups; fixes
    historical bugs with space/tabs/etc. parsing in debian/control with
    pbuilder-satisfydepends-classic and perhaps -aptitude and -experimental.
    Also avoids large code duplication and normalizes debian/control handling.
  * pbuilder.8: Mention quoting around --bindmounts; LP: #376612
  * Add pbuilder-apt-config tool to generate APT sources.list and query misc
    other data from archives; this is aimed at supporting multiple archives
    and setups better (instead of a single MIRROR, DISTRIBUTION etc.) but is
    generic and independent to encourage reuse.  Comes with testsuite showing
    sample uses.
  * Fix misc man page typos.
  * Rework Makefile entirely.
  * Use paragraphs in debian/NEWS file instead of bullet points.
  * pbuilder-selftest: new command to run the tests which are now installed.
  
  [ Junichi Uekawa ]
  * [INTL:da] Danish translation of the debconf templates
    pbuilder (closes: 583676)
  * document that DEBOOTSTRAPOPTS is an array. (closes: 578989)

  [ Hideki Yamane ]
  * typo "taget" (closes: 582415)

  [ Jari Aalto ]
  * pbuilderrc.5 - Order item alphabetically (closes: 579705)

 -- Junichi Uekawa <dancer@debian.org>  Wed, 23 Jun 2010 07:21:11 +0900

pbuilder (0.196ubuntu2) maverick; urgency=low

  * Update the default dist to maverick.

 -- Loïc Minier <loic.minier@ubuntu.com>  Sat, 08 May 2010 13:54:39 +0200

## pbuilder 0.199+nmu1

=== debian/changelog ===
pbuilder (0.199+nmu1) unstable; urgency=low

  * Non-Maintainer Upload.
  
  * pbuilder-modules: don't clean $BUILDPLACE if another directory has
    been bind-mounted under it; patch by Matthew Palmer.  (closes:
    #542915)

 -- Steve M. Robbins <smr@debian.org>  Tue, 28 Dec 2010 10:19:37 -0600

pbuilder (0.199) unstable; urgency=low

  * add a more useful message for pbuilder-runhooks when hookdir cannot
    be removed. (closes: #587254)
  * Add an option to verify key signatures. (closes: #579028)
    This is experimental; You can try with APTGETOPT, and setting
    PBUILDERSATISFYDEPENDSOPT=('--check-key').

 -- Junichi Uekawa <dancer@debian.org>  Mon, 05 Jul 2010 22:35:40 +0900

## pbuilder 0.199+nmu1squeeze1

=== Makefile ===
INSTALL = install
INSTALL_DIRECTORY = $(INSTALL) -d -m 0755
INSTALL_FILE = $(INSTALL) -m 0644
INSTALL_EXECUTABLE = $(INSTALL) -m 0755

# semi-standard dirs
DESTDIR :=
SYSCONFDIR := $(DESTDIR)/etc
BINDIR := $(DESTDIR)/usr/bin
PKGLIBDIR := $(DESTDIR)/usr/lib/pbuilder
SBINDIR := $(DESTDIR)/usr/sbin
PKGDATADIR := $(DESTDIR)/usr/share/pbuilder

define newline


endef

NULL :=

ALLDIRS += BASHCOMPLETION
BASHCOMPLETIONDIR := $(SYSCONFDIR)/bash_completion.d
BASHCOMPLETION_DATA += \
	bash_completion.d/pbuilder \
	$(NULL)
CHECK_SCRIPTS += bash_completion.d/pbuilder

ALLDIRS += PBUILDERCONF
PBUILDERCONFDIR := $(SYSCONFDIR)/pbuilder
PBUILDERCONF_DATA += \
	pbuilder-uml.conf \
	$(NULL)
CHECK_SCRIPTS += pbuilder-uml.conf

ALLDIRS += BIN
BIN_SCRIPTS += \
	debuild-pbuilder \
	pbuilder-user-mode-linux \
	pdebuild \
	pdebuild-user-mode-linux \
	$(NULL)

ALLDIRS += PKGLIB
PKGLIB_SCRIPTS += \
	pbuilder-apt-config \
	pbuilder-buildpackage \
	pbuilder-buildpackage-funcs \
	pbuilder-checkparams \
	pbuilder-createbuildenv \
	pbuilder-loadconfig \
	pbuilder-modules \
	pbuilder-runhooks \
	pbuilder-satisfydepends-aptitude \
	pbuilder-satisfydepends-checkparams \
	pbuilder-satisfydepends-classic \
	pbuilder-satisfydepends-experimental \
	pbuilder-satisfydepends-funcs \
	pbuilder-satisfydepends-gdebi \
	pbuilder-selftest \
	pbuilder-uml-checkparams \
	pbuilder-updatebuildenv \
	pdebuild-checkparams \
	pdebuild-internal \
	pdebuild-uml-checkparams \
	testlib.sh \
	test_pbuilder-apt-config \
	test_pbuilder-checkparams \
	test_pbuilder-modules \
	test_pbuilder-satisfydepends-checkparams \
	test_pbuilder-satisfydepends-classic \
	test_pbuilder-satisfydepends-funcs \
	test_testlib.sh \
	$(NULL)

ALLDIRS += SBIN
SBIN_SCRIPTS += \
	pbuilder \
	$(NULL)

ALLDIRS += EXAMPLE
EXAMPLEDIR := $(DESTDIR)/usr/share/doc/pbuilder/examples
EXAMPLE_DATA += \
	pbuilderrc \
	$(NULL)
CHECK_SCRIPTS += pbuilderrc
EXAMPLE_SCRIPTS += \
	examples/B90lintian \
	examples/B91dpkg-i \
	examples/B92test-pkg \
	examples/C10shell \
	examples/C11screen \
	examples/D10tmp \
	examples/D20addnonfree \
	examples/D80no-man-db-rebuild \
	examples/D90chrootmemo \
	examples/F90chrootmemo \
	examples/B90list-missing \
	examples/B91debc \
	examples/execute_installtest.sh \
	examples/execute_paramtest.sh \
	examples/pbuilder-distribution.sh \
	$(NULL)

ALLDIRS += EXAMPLE_LVMPBUILDER
EXAMPLE_LVMPBUILDERDIR := $(EXAMPLEDIR)/lvmpbuilder
EXAMPLE_LVMPBUILDER_DATA += \
	examples/lvmpbuilder/README \
	examples/lvmpbuilder/STRATEGY \
	$(NULL)
EXAMPLE_LVMPBUILDER_SCRIPTS += \
	examples/lvmpbuilder/lvmbuilder \
	$(NULL)

ALLDIRS += EXAMPLE_LVMPBUILDER_LIB
EXAMPLE_LVMPBUILDER_LIBDIR := $(EXAMPLE_LVMPBUILDERDIR)/lib
EXAMPLE_LVMPBUILDER_LIB_SCRIPTS += \
	examples/lvmpbuilder/lib/lvmbuilder-checkparams \
	examples/lvmpbuilder/lib/lvmbuilder-modules \
	examples/lvmpbuilder/lib/lvmbuilder-unimplemented \
	$(NULL)

ALLDIRS += EXAMPLE_PBUILDERTEST
EXAMPLE_PBUILDERTESTDIR := $(EXAMPLEDIR)/pbuilder-test
EXAMPLE_PBUILDERTEST_DATA += \
	examples/pbuilder-test/README \
	examples/pbuilder-test/002_sample.c \
	$(NULL)
EXAMPLE_PBUILDERTEST_SCRIPTS += \
	examples/pbuilder-test/000_prepinstall \
	examples/pbuilder-test/001_apprun \
	examples/pbuilder-test/002_libfile \
	examples/pbuilder-test/003_makecheck \
	examples/pbuilder-test/004_ldd \
	$(NULL)

ALLDIRS += EXAMPLE_REBUILD
EXAMPLE_REBUILDDIR := $(EXAMPLEDIR)/rebuild
EXAMPLE_REBUILD_DATA += \
	examples/rebuild/README \
	$(NULL)
EXAMPLE_REBUILD_SCRIPTS += \
	examples/rebuild/buildall \
	examples/rebuild/getlist \
	$(NULL)

ALLDIRS += EXAMPLE_WORKAROUND
EXAMPLE_WORKAROUNDDIR := $(EXAMPLEDIR)/workaround
EXAMPLE_WORKAROUND_SCRIPTS += \
	examples/E50-initscripts-2.86.ds1-7.workaround.sh \
	examples/G50-initscripts-2.86.ds1-11-cdebootstrap0.3.9.sh \
	$(NULL)

ALLDIRS += PKGDATA
PKGDATA_DATA += \
	pbuilderrc \
	pbuilder-uml.conf \
	$(NULL)
CHECK_SCRIPTS += \
	pbuilderrc \
	pbuilder-uml.conf \
	$(NULL)

NOINST_MANPAGES += \
	debuild-pbuilder.1 \
	pbuilder.8 \
	pbuilderrc.5 \
	pdebuild.1 \
	$(NULL)
NOINST_SCRIPTS += \
	debuild.sh \
	$(NULL)
CHECK_MANPAGES += $(NOINST_MANPAGES)
CHECK_SCRIPTS += $(NOINST_SCRIPTS)

# TODO: check subdirs etc.

CHECK_SCRIPTS += $(foreach d,$(ALLDIRS),$($(d)_SCRIPTS))

all:
	$(MAKE) -C pbuildd $@
	$(MAKE) -C Documentation $@

check: export PBUILDER_CHECKOUT := $(CURDIR)
check:
	# syntax check
	$(foreach script,$(CHECK_SCRIPTS),bash -n $(script)$(newline))
	$(foreach mp,$(CHECK_MANPAGES),LANG=C MANWIDTH=80 man --warnings -E UTF-8 -l $(mp) >/dev/null$(newline))
	# testsuite
	$(foreach test,$(wildcard ./test_*),$(test)$(newline))

full-check:
	cd testsuite && ./run-test.sh

clean:
	rm -f *.bak *~ TAGS
	rm -f testsuite/testimage
	rm -rf testsuite/testbuild testsuite/testbuild2
	$(MAKE) -C pbuildd $@
	$(MAKE) -C Documentation $@

TAGS:
	etags pbuilder-* pbuilder

define install_dir_impl
$(INSTALL_DIRECTORY) $($(1)DIR)$(newline)
$(foreach file,$($(1)_DATA),$(INSTALL_FILE) $(file) $($(1)DIR)$(newline))
$(foreach script,$($(1)_SCRIPTS),$(INSTALL_EXECUTABLE) $(script) $($(1)DIR)$(newline))
endef

install:
	$(foreach d,$(ALLDIRS),$(call install_dir_impl,$(d)))
	$(INSTALL_DIRECTORY) $(DESTDIR)/var/cache/pbuilder/pbuilder-mnt
	$(INSTALL_DIRECTORY) $(DESTDIR)/var/cache/pbuilder/pbuilder-umlresult
	# install -aptitude flavour as the default satisfydepends
	ln -sf pbuilder-satisfydepends-aptitude $(PKGLIBDIR)/pbuilder-satisfydepends
	$(MAKE) -C pbuildd $@
	$(MAKE) -C Documentation $@

=== debian/changelog ===
pbuilder (0.199+nmu1squeeze1) squeeze; urgency=low

  * Non-maintainer upload.
  * Cherry-pick from 0.199+nmu4: Rename the /run script from --execute to
    /runscript, for compatibility with wheezy and later which have /run as a
    directory replacing /var/run (bug#627086)

 -- Julien Cristau <jcristau@debian.org>  Mon, 29 Aug 2011 11:53:06 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: pbuilder
 Section: devel
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>
+Maintainer: Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>
 Uploaders: Junichi Uekawa <dancer@debian.org>,
            Loïc Minier <lool@dooz.org>,
            Matt Kraai <kraai@debian.org>

## pbuilder 0.199+nmu1ubuntu1

=== debian/changelog ===
pbuilder (0.199+nmu1ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - pbuilderrc, debian/pbuilder.config, debian/pbuilder.templates: Set
      default archive mirror to "archive.ubuntu.com/ubuntu".
    - pbuilderrc: Set default distribution to "natty" and the default keyring
      to the Ubuntu one.
    - pbuilderrc: change how we pass keyring in DEBOOTSTRAPOPTS
    - debian/rules: install temporary locale so man page tests don't cause
      FTBFS.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 06 Jan 2011 08:29:47 -0500

pbuilder (0.199ubuntu4) natty; urgency=low

  * debian/rules: properly clean up temporary locale directory.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 23 Nov 2010 12:56:07 -0500

pbuilder (0.199ubuntu3) natty; urgency=low

  * debian/rules: install temporary locale so man page tests don't cause
    FTBFS.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 23 Nov 2010 11:22:24 -0500

pbuilder (0.199ubuntu2) natty; urgency=low

  * pbuilderrc: change how we pass keyring in DEBOOTSTRAPOPTS (LP: #671126)

 -- Alex Chiang <achiang@canonical.com>  Thu, 04 Nov 2010 13:23:04 -0600

pbuilder (0.199ubuntu1) natty; urgency=low

  * Merge with Debian; remaining changes:
    - pbuilderrc, debian/pbuilder.config, debian/pbuilder.templates: Set
      default archive mirror to "archive.ubuntu.com/ubuntu".
    - pbuilderrc: Set default distribution to "natty" and the default keyring
      to the Ubuntu one.

 -- Loïc Minier <loic.minier@ubuntu.com>  Wed, 13 Oct 2010 19:14:46 +0200

## pbuilder 0.199+nmu1ubuntu1.1

=== debian/changelog ===
pbuilder (0.199+nmu1ubuntu1.1) natty-proposed; urgency=low

  * pbuilder-buildpackage, pbuilder-buildpackage-funcs,
    pbuilder-satisfydepends-funcs: Handle architecture wildcards 
    properly. Changes cherry-picked from 0.199+nmu2. (LP: #791940)

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 02 Jun 2011 18:58:19 +0200

## pbuilder 0.199+nmu3ubuntu3

=== debian/changelog ===
pbuilder (0.199+nmu3ubuntu3) oneiric; urgency=low

  * pbuilder:
    - Rename the /run script from --execute to /runscript (LP: #811016).

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 05 Oct 2011 12:31:52 +0100

pbuilder (0.199+nmu3ubuntu2) oneiric; urgency=low

  * Apply patch from http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=606687
    (Matthew Palmer) so ccache and icecc work again (LP: #826031)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 07 Sep 2011 10:51:21 +0100

pbuilder (0.199+nmu3ubuntu1) oneiric; urgency=low

  * Merge from debian unstable (LP: #776279), remaining changes:
    - pbuilderrc, debian/pbuilder.config, debian/pbuilder.templates: Set
      default archive mirror to "archive.ubuntu.com/ubuntu".
    - pbuilderrc: Set default distribution to "oneiric" and the default
      keyring to the Ubuntu one.
    - pbuilderrc: change how we pass keyring in DEBOOTSTRAPOPTS
    - debian/rules: install temporary locale so man page tests don't cause
      FTBFS. 

 -- Lorenzo De Liso <blackz@ubuntu.com>  Tue, 03 May 2011 12:20:24 +0200

pbuilder (0.199+nmu3) unstable; urgency=low

  * Non-Maintainer Upload.
  * Apply patches provided by Gonéri Le Bouder to allow pbuilder to
    create and manage chroots on kFreeBSD machines (Closes: #542837).

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 29 Mar 2011 22:56:44 +0200

pbuilder (0.199+nmu2) unstable; urgency=low

  * Non-maintainer upload with maintainer's permission.
  * pbuilder-satisfydepends-aptitude: Resolve packages from experimental
    when necessary. Logic stolen from sbuild. Closes: #606699.
  * pbuilder-buildpackage, pbuilder-buildpackage-funcs: Handle
    architecture wildcards properly. Patch from Andres Mejia.
    Closes: #363193.
  * Makefile: Don't require a UTF-8 encoding to check the manpages.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 19 Feb 2011 19:02:34 +0000

## pbuilder 0.199+nmu3ubuntu3.1

=== Makefile ===
--- 
+++ 
@@ -184,7 +184,7 @@
 check:
 	# syntax check
 	$(foreach script,$(CHECK_SCRIPTS),bash -n $(script)$(newline))
-	$(foreach mp,$(CHECK_MANPAGES),LANG=C MANWIDTH=80 man --warnings -E UTF-8 -l $(mp) >/dev/null$(newline))
+	$(foreach mp,$(CHECK_MANPAGES),LANG=C MANWIDTH=80 man --warnings -l $(mp) >/dev/null$(newline))
 	# testsuite
 	$(foreach test,$(wildcard ./test_*),$(test)$(newline))

=== debian/changelog ===
pbuilder (0.199+nmu3ubuntu3.1) oneiric-proposed; urgency=low

  * Auto complete filenames not working when not adding -- to the command
    (Closes: #659581, LP: #770529)
  * Add directories to filename auto completion

 -- Maarten Bezemer <maarten.bezemer@gmail.com>  Mon, 13 Feb 2012 11:09:28 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pbuilder
 Section: devel
 Priority: extra
-Maintainer: Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>
 Uploaders: Junichi Uekawa <dancer@debian.org>,
            Loïc Minier <lool@dooz.org>,
            Matt Kraai <kraai@debian.org>
@@ -15,8 +16,8 @@
                po-debconf,
                po4a
 Standards-Version: 3.8.3
-Vcs-Git: git://git.debian.org/git/pbuilder/pbuilder.git
-Vcs-Browser: http://git.debian.org/?p=pbuilder/pbuilder.git
+XS-Debian-Vcs-Git: git://git.debian.org/git/pbuilder/pbuilder.git
+XS-Debian-Vcs-Browser: http://git.debian.org/?p=pbuilder/pbuilder.git
 
 Package: pbuilder
 Architecture: all

## pbuilder 0.203

=== debian/changelog ===
pbuilder (0.203) unstable; urgency=low

  * lighttpd test fails with cowdancer loaded. (closes: #640684)
  - Ignore LD_PRELOAD when inside 'pbuilder build' building something.

    Note: This might break fakechroot users (if there are any) trying to
    run with non-root UID for building.

 -- Junichi Uekawa <dancer@debian.org>  Thu, 22 Sep 2011 11:31:08 +0900

pbuilder (0.202) unstable; urgency=low

  [ Chris Leick ]
  * pbuilder: Patch fixes some typos in Documentation (closes: 636376)
  * pbuilder: [INTL:de] Initial German translation (closes: 636377)

  [ Junichi Uekawa ]
  * po file update
  * fix makefile for documentation so that I need to edit only one place
    when adding language.

  [ YOSHINO Yoshihito ]
  * cannot cross build i386 only package on amd64 host (closes: #624530)

 -- Junichi Uekawa <dancer@debian.org>  Tue, 30 Aug 2011 19:39:12 +0900

pbuilder (0.201) unstable; urgency=low

  [ Junichi Uekawa ]
  * add an arch indep package for testing.

  [ Zlatan Todoric ]
  * Serbian cyrillic translation of debconf templates. (closes: #635217,
    #635277)

  [ Jeroen Schot ]
  * Dutch translation of debconf templates (closes: #631123)

 -- Junichi Uekawa <dancer@debian.org>  Tue, 02 Aug 2011 07:19:01 +0900

pbuilder (0.200) unstable; urgency=low

  * Acknowledge NMUs. (closes: #542915, #363193, #606699, #542837,
    #601250, #603420, #626431, #620730, #627086)

 -- Junichi Uekawa <dancer@debian.org>  Sun, 26 Jun 2011 09:20:24 +0900

pbuilder (0.199+nmu4) unstable; urgency=low

  * Non-maintainer upload.
  * Rename the /run script from --execute to /runscript; not using
    mktemp for consistency with the documentation. (Closes: #627086)
  * Handle architecture wildcards with more than one architecture.
    (Closes: #620730) (Closes: #626431)
  * Fix pbuilderrc(5) formatting. (Closes: #603420)
  * Fix pbuilder-satisfydepends-classic output, including better line
    breaks and hyphen-used-as-minus-sign lintian. (Closes: #601250)
  * Please lintian: add debian/source/format.

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 26 May 2011 20:49:04 +0000

## pbuilder 0.204

=== debian/changelog ===
pbuilder (0.204) unstable; urgency=low

  [ Slavko ]
  * pbuilder: [INTL:sk] Slovak po-debconf translation (closes: #647117)

  [ Tino Keitel ]
  * Support base.tar.xz/bz2 as well as tgz (closes: #569917)

  [ Tom Hughes ]
  * Avoid dsc copy error when using build-internal and buildresult=..
    (closes: #422272)

  [ Junichi Uekawa ]
  * check for pdebuild in regression test too, just in case.
  * factor out the file copy test part and add a test.

 -- Junichi Uekawa <dancer@debian.org>  Sun, 04 Dec 2011 22:43:19 +0900

## pbuilder 0.205

=== debian/changelog ===
pbuilder (0.205) unstable; urgency=low

  [ Junichi Uekawa ]
  * Coding style. Use $() instead of ``
  * add dpkg-dev to pbuilder dependency (closes: 623623)
  * Remove obsolete example files which were used in regression
    testsuite for workarounds. (closes: #633055)

  [ Flamarion Jorge ]
  * pbuilder: [INTL:pt_BR] Brazilian Portuguese debconf templates
    translation (closes: #651265)

 -- Junichi Uekawa <dancer@debian.org>  Sun, 25 Dec 2011 16:22:00 +0900

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: pbuilder
 Section: devel
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>
+Maintainer: Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>
 Uploaders: Junichi Uekawa <dancer@debian.org>,
            Loïc Minier <lool@dooz.org>,
            Matt Kraai <kraai@debian.org>
@@ -16,15 +15,16 @@
                po-debconf,
                po4a
 Standards-Version: 3.8.3
-XS-Debian-Vcs-Git: git://git.debian.org/git/pbuilder/pbuilder.git
-XS-Debian-Vcs-Browser: http://git.debian.org/?p=pbuilder/pbuilder.git
+Vcs-Git: git://git.debian.org/git/pbuilder/pbuilder.git
+Vcs-Browser: http://git.debian.org/?p=pbuilder/pbuilder.git
 
 Package: pbuilder
 Architecture: all
-Depends: debootstrap | cdebootstrap,
+Depends: coreutils (>= 4.5.8-1),
+         debootstrap | cdebootstrap,
+         dpkg-dev,
+         debianutils (>= 1.13.1),
          wget,
-         debianutils (>= 1.13.1),
-         coreutils (>= 4.5.8-1),
          ${misc:Depends}
 Recommends: fakeroot,
             sudo,

## pbuilder 0.206

=== Makefile ===
--- 
+++ 
@@ -146,8 +146,6 @@
 ALLDIRS += EXAMPLE_WORKAROUND
 EXAMPLE_WORKAROUNDDIR := $(EXAMPLEDIR)/workaround
 EXAMPLE_WORKAROUND_SCRIPTS += \
-	examples/E50-initscripts-2.86.ds1-7.workaround.sh \
-	examples/G50-initscripts-2.86.ds1-11-cdebootstrap0.3.9.sh \
 	$(NULL)
 
 ALLDIRS += PKGDATA

=== debian/changelog ===
pbuilder (0.206) unstable; urgency=low

  [ Matthew Palmer ]
  * ccache support fails in the face of su PATH mangling (closes: #606687)
  * mirrorsite is not preseedable (closes: #598316)

  [ Junichi Uekawa ]
  * pbuilder produces a confusing error message about the
    dcs filename if it can't read the dsc file. (closes: #644507)
  * Note that ${HOME} is usually /root if you run with sudo. (closes:
    #620337)

  [ Steve M. Robbins ]
  * rebuild/buildall tries to download with acepack when building ack
    (closes: #553607)
  * rebuild/buildall tries to download with epoch in
    filename (closes: #553594)

  [ Peter Eisentraut ]
  * pdebuild needs to strip debbuildopts -A and -F (closes: #623321)

 -- Junichi Uekawa <dancer@debian.org>  Sat, 28 Jan 2012 14:58:59 +0900

## pbuilder 0.208

=== debian/changelog ===
pbuilder (0.208) unstable; urgency=low

  [ Guido Günther ]
  * Allow to copy additional files out of the build
    directory (closes: 652634)

  [ Junichi Uekawa ]
  * fix space handling in additional-buildresults.
  * fix logging message and conditionality to make it less lines.
  * factor out common code for apt key rings.

  [ Thorsten Glaser ]
  * pbuilder-satisfydepends failed due to --check-
    key deprecation bug (closes: 663283)

 -- Junichi Uekawa <dancer@debian.org>  Tue, 13 Mar 2012 19:11:00 +0900

pbuilder (0.207) unstable; urgency=low

  [ Maarten Bezemer ]
  * Bug#659581: pbuilder: does not autocomplete filename in all cases
    correctly
  * Bug#660838: pbuilder: Add complete bash_autocompletion for all flags
    and arguments
  * Bug#659703: pbuilder: Typo in error message

  [ Junichi Uekawa ]
  * Bug#660386: pbuilder: Remove /usr/X11R6/bin from default PATH
  * make longer lines wrap so reading patch files aren't as painful.

  [ Simon Ruderich ]
  * Bug#579028: pbuilder: installs untrusted packages without asking

 -- Junichi Uekawa <dancer@debian.org>  Sat, 10 Mar 2012 09:40:35 +0900

## pbuilder 0.208ubuntu1~pgdg10.4+1

=== debian/changelog ===
pbuilder (0.208ubuntu1~pgdg10.4+1) lucid; urgency=low

  * Rebuild for lucid-pgdg.

 -- Christoph Berg <myon@debian.org>  Mon, 12 Aug 2013 13:46:35 +0200

pbuilder (0.208ubuntu1) precise; urgency=low

  * Merge from Debian unstable (LP: #952938)
    Remaining changes:
    - pbuilderrc, debian/pbuilder.config: Set default archive mirror to 
      "archive.ubuntu.com/ubuntu".
    - pbuilderrc: Set default distribution to "precise" and the default
      keyring to the Ubuntu one.
    - pbuilderrc: change how we pass keyring in DEBOOTSTRAPOPTS
    - debian/rules: install temporary locale so man page tests don't cause
      FTBFS. 

 -- Maarten Bezemer <maarten.bezemer@gmail.com>  Wed, 14 Mar 2012 14:54:09 +0100

pbuilder (0.206ubuntu2) precise; urgency=low

  * Auto complete flags and required file/directory names (Closes: #933339)

 -- Maarten Bezemer <maarten.bezemer@gmail.com>  Sun, 19 Feb 2012 22:30:48 +0100

pbuilder (0.206ubuntu1) precise; urgency=low

  * Merge from Debian testing. (LP: #931936, LP: #788768)
    Remaining changes:
    - pbuilderrc, debian/pbuilder.config: Set default archive mirror to 
      "archive.ubuntu.com/ubuntu".
    - pbuilderrc: Set default distribution to "precise" and the default
      keyring to the Ubuntu one.
    - pbuilderrc: change how we pass keyring in DEBOOTSTRAPOPTS
    - debian/rules: install temporary locale so man page tests don't cause
      FTBFS. 
    - Auto complete filenames not working when not adding -- to the command
    - Add directories to filename auto completion

 -- Maarten Bezemer <maarten.bezemer@gmail.com>  Tue, 14 Feb 2012 10:45:14 +0100

pbuilder (0.204ubuntu2) precise; urgency=low

  * Auto complete filenames not working when not adding -- to the command
    (Closes: #659581, LP: #770529)
  * Add directories to filename auto completion

 -- Maarten Bezemer <maarten.bezemer@gmail.com>  Sun, 12 Feb 2012 15:19:43 +0100

pbuilder (0.204ubuntu1) precise; urgency=low

  * Merge from Debian testing.  Remaining changes:
    - pbuilderrc, debian/pbuilder.config, debian/pbuilder.templates: Set
      default archive mirror to "archive.ubuntu.com/ubuntu".
    - pbuilderrc: Set default distribution to "precise" and the default
      keyring to the Ubuntu one.
    - pbuilderrc: change how we pass keyring in DEBOOTSTRAPOPTS
    - debian/rules: install temporary locale so man page tests don't cause
      FTBFS. 
    - pbuilder-buildpackage: use env PATH=$PATH when calling 
      dpkg-source and dpkg-buildpackage

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 20 Dec 2011 10:02:44 +0100

## pbuilder 0.208ubuntu1

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pbuilder
 Section: devel
 Priority: extra
-Maintainer: Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>
 Uploaders: Junichi Uekawa <dancer@debian.org>,
            Loïc Minier <lool@dooz.org>,
            Matt Kraai <kraai@debian.org>
@@ -15,8 +16,8 @@
                po-debconf,
                po4a
 Standards-Version: 3.8.3
-Vcs-Git: git://git.debian.org/git/pbuilder/pbuilder.git
-Vcs-Browser: http://git.debian.org/?p=pbuilder/pbuilder.git
+XS-Debian-Vcs-Git: git://git.debian.org/git/pbuilder/pbuilder.git
+XS-Debian-Vcs-Browser: http://git.debian.org/?p=pbuilder/pbuilder.git
 
 Package: pbuilder
 Architecture: all

## pbuilder 0.210~bpo60+1

=== Makefile ===
--- 
+++ 
@@ -180,13 +180,14 @@
 
 check: export PBUILDER_CHECKOUT := $(CURDIR)
 check:
-	# syntax check
+	# syntax check.
 	$(foreach script,$(CHECK_SCRIPTS),bash -n $(script)$(newline))
 	$(foreach mp,$(CHECK_MANPAGES),LANG=C MANWIDTH=80 man --warnings -l $(mp) >/dev/null$(newline))
-	# testsuite
+	# unit tests.
 	$(foreach test,$(wildcard ./test_*),$(test)$(newline))
 
 full-check:
+	# system tests that might take long.
 	cd testsuite && ./run-test.sh
 
 clean:

=== debian/changelog ===
pbuilder (0.210~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports, no changes needed.
  * Add myself to uploaders. 

 -- Holger Levsen <holger@debian.org>  Wed, 11 Apr 2012 17:10:58 +0200

pbuilder (0.210) unstable; urgency=low

  * move around echobacktime definition location. (closes: #666440)
  * B92test-pkg: Having any test fail should make the regression test
    suite to fail and exit with exit value of 1 instead of 0.

 -- Junichi Uekawa <dancer@debian.org>  Sat, 31 Mar 2012 14:33:15 +0900

pbuilder (0.209) unstable; urgency=low

  * pbuilder: Auto completion is missing --allow-untrusted flag
    (closes: #664323)
  * Show current time in create / update operations too. 
    (closes: #613854)

 -- Junichi Uekawa <dancer@debian.org>  Fri, 30 Mar 2012 03:44:30 +0900
